@echo off
>nul chcp 65001
setlocal EnableDelayedExpansion
for %%i in (
  "'EN' in Latin=EN"
  "'Guānhuà' (Mandarin) in simpl. Chinese=官话"
  "'Hindī' (Hindi) in Devanagari=हिन्दी"
  "Emojis simple=🙈😄"
  "Emoji with skin and gender information=🙋🏻‍♂️"
  "Dingbat simple=✅"
  "Dingbat with variation=❤️"
) do (
  for /f "tokens=1* delims==" %%j in (%%i) do (
    echo *** %%j: ***
    echo "%%k"
    echo  123456789
    for /f %%l in ('TermStrWidth.exe "%%k"') do echo width: %%l
    echo(
  )
)
pause

:: Some explanations about what certain strings contain. First column is UTF-8 bytes in HEX.

:: 6 code points in हिन्दी:
:: E0A4B9 | U+0939 | Devanagari Letter Ha
:: E0A4BF | U+093F | Devanagari Vowel Sign I
:: E0A4A8 | U+0928 | Devanagari Letter Na
:: E0A58D | U+094D | Devanagari Sign Virama
:: E0A4A6 | U+0926 | Devanagari Letter Da
:: E0A580 | U+0940 | Devanagari Vowel Sign Ii

:: 5 code points in 🙋🏻‍♂️:
:: F09F998B | U+1F64B | Happy Person Raising One Hand
:: F09F8FBB | U+1F3FB | Emoji Modifier Fitzpatrick Type-1-2 (a.k.a. Light Skin Tone)
:: E2808D   | U+200D  | Zero Width Joiner (ZWJ)
:: E29982   | U+2642  | Male Sign
:: EFB88F   | U+FE0F  | Variation Selector-16

:: 2 code points in ❤️:
:: E29DA4 | U+2764 | Heavy Black Heart
:: EFB88F | U+FE0F | Variation Selector-16
